## net.sf.saxon.instruct
Class TraceInstruction

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.instruct.Instruction
              net.sf.saxon.instruct.TraceWrapper
                  net.sf.saxon.instruct.TraceInstruction

All Implemented Interfaces:
  java.io.Serializable, javax.xml.transform.SourceLocator, LocationProvider, SaxonLocator, EvaluableItem, SequenceIterable, TailCallReturner, InstructionInfo, org.xml.sax.Locator

    public class TraceInstruction

extends TraceWrapper

A run-time instruction which wraps a real instruction and traces its entry and exit to the TraceListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, locationId, PROCESS_METHOD, staticProperties`

Constructor Summary
`TraceInstruction(Expression child, InstructionInfo details)` Create a Trace instruction

Method Summary
`InstructionInfo` `getInstructionInfo()` Get the instruction details

Methods inherited from class net.sf.saxon.instruct.TraceWrapper
`computeDependencies, copy, createsNewNodes, evaluateItem, explain, getCardinality, getDependencies, getInstructionNameCode, getItemType, iterate, iterateSubExpressions, optimize, processLeavingTail, promote, replaceSubExpression, simplify, typeCheck`

Methods inherited from class net.sf.saxon.instruct.Instruction
`assembleParams, assembleTunnelParams, computeCardinality, computeSpecialProperties, dynamicError, evaluateAsString, getConstructType, getImplementationMethod, getSourceLocator, isXSLT, process, promoteInst`

Methods inherited from class net.sf.saxon.expr.Expression

`addToPathMap, adoptChildExpression, checkForUpdatingSubexpressions, checkPermittedContents, computeStaticProperties, display, doPromotion, dynamicError, effectiveBooleanValue, evaluatePendingUpdates, explain, findParentOf, getColumnNumber, getColumnNumber, getContainer, getExecutable, getHostLanguage, getIntrinsicDependencies, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, getSystemId, hasLoopingSubexpression, implementsStaticTypeCheck, isUpdatingExpression, iterateEvents, markTailFunctionCalls, resetLocalStaticProperties, setContainer, setFiltered, setFlattened, setLocationId, staticTypeCheck, suppressValidation, toString, typeError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Constructor Detail

### TraceInstruction

    public TraceInstruction(Expression child,
                            InstructionInfo details)

  Create a Trace instruction

  Parameters:
    `child` - the child instruction to be evaluated
    `details` - the details to be output. This will usually relate to a function or template header.

Method Detail

### getInstructionInfo

    public InstructionInfo getInstructionInfo()

  Get the instruction details

  Overrides:
    `getInstructionInfo` in class `TraceWrapper`
  Returns:
    the details of the child instruction (the instruction being traced)

Copyright (c) Saxonica Limited. All rights reserved.